new Vue({
  el: '#fillin',
  data() {
    return {
      getcode: '获取验证码',
      baseUrl: '',
      token: '',
      randNum: 1,
      codeSrc: '',
      cangetCode: true,
      isCheck: false,
      isShowAgreement: false,
      params: {
        wechat_id: '',
        imageCode: '',
        phone: '',
        phoneSmsCaptcha: '',
        areaInfo: '',
        region: '',
      },
      interval: null,
      loopTime: 0,
      gamelist: [],
    };
  },

  computed: {
    // 平台名称
    platformName() {
      var allUrl = window.location.href;
      if (allUrl.indexOf('jixiang') > 0) {
        return '吉祥';
      } else if (allUrl.indexOf('xinyue') > 0) {
        return '科乐';
      } else if (allUrl.indexOf('yukeonline') > 0) {
        return '科乐';
      }
      return '';
    },
  },

  mounted() {
    // this.$messagebox({
    // 	title: "提示",
    // 	message: '已停止注册分销商'
    // }).then(res1 => {
    // 	console.log(res1)
    // })

    this.changeCode();
    this.getGameList();
  },
  methods: {
    getGameList() {
      let self = this;
      getAjax('/api/buy/gamelist', 'post', {}, function (res) {
        self.gamelist = res.data;
        if (res.err == 0) {
          $('#channel').empty();
          $('#channel').append('<option value="">请选择游戏</option>');
          for (let index = 0; index < self.gamelist.length; index++) {
            $('#channel').append(
              `<option value="${self.gamelist[index].ID}">${self.gamelist[index].Name}</option>`
            );
          }
        }
      });
    },
    // 图片验证码
    changeCode() {
      var _this = this;
      getAjax('/api/buy/captcha', 'post', {}, function (res) {
        console.log(res);
        _this.codeSrc = res.data;
      });
    },

    showAgreement() {
      this.isShowAgreement = false;
    },

    // 阅读完确定
    sureAgree() {
      this.isCheck = true;
      this.isShowAgreement = true;
    },
    // 阅读完 取消
    cancleAgree() {
      this.isCheck = false;
      this.isShowAgreement = true;
    },

    // 获取验证码
    getCode() {
      var _this = this;
      if (!this.cangetCode) {
        return;
      }
      _this.cangetCode = false;
      if (!/^1[3456789]\d{9}$/.test(_this.params.phone)) {
        _this
          .$messagebox({
            title: '提示',
            message: '手机号格式不正确',
          })
          .then((res1) => {
            console.log(res1);
          });
        _this.cangetCode = true;
        return false;
      }
      if (this.params.imageCode.indexOf(' ') > 0) {
        _this
          .$messagebox({
            title: '提示',
            message: '验证码含有空格',
          })
          .then((res1) => {
            console.log(res1);
          });
        _this.cangetCode = true;
        return false;
      }
      getAjax(
        '/api/buy/phonesms',
        'post',
        {
          code: this.params.imageCode.trim(),
          phone: _this.params.phone.trim(),
        },
        function (res) {
          console.log(res);
          _this.interval = 60; //res.interval;
          let handler = setInterval(() => {
            _this.interval--;
            _this.getcode = _this.interval + 's';
            if (_this.interval == 0) {
              clearInterval(handler);
              _this.getcode = '获取验证码';
              _this.cangetCode = true;
            }
          }, 1000);
        },
        true,
        function (res) {
          _this.cangetCode = true;
        }
      );
    },
    submitForm() {
      var _this = this;
      var channel = $('#channel option:selected').val();
      if (channel == '') {
        vm.$toast('请选择游戏');
        return;
      }
      let params = {
        phone: _this.params.phone.trim(),
        phoneSmsCaptcha: _this.params.phoneSmsCaptcha.trim(),
        game_id: channel,
      };

      if (_this.params.imageCode == '' || _this.params.imageCode.length != 4) {
        _this
          .$messagebox({
            title: '提示',
            message: '图片验证码不能为空且位数为4位',
          })
          .then((res1) => {
            console.log(res1);
          });
        return false;
      }
      if (params.phone == '') {
        _this
          .$messagebox({
            title: '提示',
            message: '手机号不能为空',
          })
          .then((res1) => {
            console.log(res1);
          });
        return false;
      }

      if (params.phoneSmsCaptcha == '' || params.phoneSmsCaptcha.length != 4) {
        _this
          .$messagebox({
            title: '提示',
            message: '手机验证码不能为空且位数为4位',
          })
          .then((res1) => {
            console.log(res1);
          });
        return false;
      }

      getAjax(
        '/api/buy/phonelogin',
        'post',
        params,
        function (res) {
          if (res.err != 0) {
            vm.$toast(res.msg);
            return;
          }
          let gameName = '';
          for (let index = 0; index < _this.gamelist.length; index++) {
            if (channel == _this.gamelist[index].ID) {
              gameName = _this.gamelist[index].Name;
            }
          }
          var resObj = res.data;
          setTimeout(function () {
            window.location.href =
              'three_info.html?card_num=' +
              resObj.card_num +
              '&game_id=' +
              channel +
              '&diamond=' +
              resObj.diamond +
              '&old_user_name=' +
              resObj.old_user_name +
              '&gameName=' +
              gameName;
          }, 2000);
        },
        true
      );
    },
  },
});
